# Update a Video Preset

## &#x20;/v1/video\_presets/:id

<mark style="color:orange;">`PUT`</mark> `https://api.uiza.sh/v1/video_presets/:id`

#### Request Body

| Name        | Type   | Description                                                                                                        |
| ----------- | ------ | ------------------------------------------------------------------------------------------------------------------ |
| name        | string | The name of the video preset.                                                                                      |
| description | string | Describes the content of the video preset. Useful to describe the profiles in the preset and talk about use cases. |

{% tabs %}
{% tab title="200 " %}

```
{
    "id": "569b56bb-6c1b-4b84-90e3-2d0f3fd0a001",
    "name": "Mobile preset",
    "description": "Updated description",
    "is_default": false,
    "profiles": [
        {
            "id": "735299b7-5988-11ea-883b-028fc5698662",
            "name": "480p H264 30fps Normal Latency",
            "segment_duration": 4,
            "orientation": "landscape",
            "video_profile": {
                "video_resolution": "480",
                "video_codec": "H264",
                "video_bitrate": "1000K",
                "video_frame_rate": "30"
            },
            "audio_profile": {
                "audio_channel": "2",
                "audio_codec": "AAC",
                "audio_bitrate": "128K",
                "audio_frame_rate": "1"
            }
        },
        {
            "id": "85844e8b-6281-11ea-883b-028fc5698662",
            "name": "720p H264 30fps Normal Latency",
            "segment_duration": 4,
            "orientation": "landscape",
            "video_profile": {
                "video_resolution": "720",
                "video_codec": "H264",
                "video_bitrate": "2000K",
                "video_frame_rate": "30"
            },
            "audio_profile": {
                "audio_channel": "2",
                "audio_codec": "AAC",
                "audio_bitrate": "128K",
                "audio_frame_rate": "1"
            }
        }
    ],
    "created_at": "2020-03-09T08:45:07Z",
    "updated_at": "2020-03-18T10:39:20Z"
}
```

{% endtab %}

{% tab title="400 " %}

```
{
 "message": "Your request is missing id parameter. Please, verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="404 " %}

```
{
 "message": "The video preset you requested does not exist.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl --location --request PUT 'https://api.uiza.sh/v1/video_presets/569b56bb-6c1b-4b84-90e3-2d0f3fd0a001' \
--header 'Authorization: uap-a1c559e57f5846d39ec50b2df062caf8-b1cef5b6' \
--data-raw '{
	"description": "Updated description"
}'
```

{% endcode %}
